Skip to Content

Complete an automatic Custom Tracking Domain return

Validates the signed state returned by the DNS provider, then checks the tracking host again.

POST
/v1/email/domains/{id}/custom-tracking/domain-connect/complete

Validates the signed state returned by the DNS provider, then checks the tracking host again. Returning here never marks the host ready or changes which tracking host email uses.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^dom_[0-9a-hjkmnp-tv-z]{16,24}$

Request Body

application/json
  1. body
state*string
error?string|null
errorDescription?string|null

Response Body

CustomTrackingDomainConnectCompleteResult

application/json
  1. response
status*string
Value in"applied""cancelled""failed""stale""invalid"
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.email.completeCustomTrackingDomainConnect({
  "id": "example",
  "state": "example"
});
Example Response
{
  "status": "applied"
}

Related documentation